WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

Advanced PHP Protection

— Add-On auf WorldWideScripts.net

@de1wwsAbonniere den Feed um auf dem neuesten Stand zu bleiben!

Neu! Folge uns, wie Du es möchtest!


Advanced PHP Protection - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting
Key Features:
  • Funktioniert mit jedem Php-Datei.
  • Benutzerdefinierte Passwort und Brute-Force-Warnung Seiten.
  • Gut dokumentierte Funktionen.
  • Kann leicht in eine Datenbank mit mehreren Benutzern eingestellt integriert werden.
  • Einzelzeilenmodus zu schützen jede Seite, indem einfach die Datei.
  • Passwörter können entweder als md5 von SHA1-Hash oder Nur-Text, wenn Sie bevorzugen eingestellt werden.
  • Server-Seite Brute-Force-Schutz, mit Optionen, um die maximale Anzahl der Versuche und die Blockdauer ändern.
  • Keine Datenbank oder Installation erforderlich.
  • E-Mail-Unterstützung zur Verfügung gestellt.
  • Geringes Gewicht.

HINWEIS: Die Sitzung wird verwendet, um den Benutzernamen und das Kennwort zu speichern, müssen Sie nicht erneut anmelden, wenn die Seite neu geladen wird. Die Variablen $ _SESSION [â € ~usernameâ € ™] und $ _SESSION [â € ~passwordâ € ™] werden standardmäßig verwendet, wenn Sie brauchen, um diese in das Skript geschützt können Sie benutzerdefinierte Namen mit den custom_session_keys eingestellt () -Funktion siehe Dokumentation für weitere Informationen.



Beispiel Verbrauch:
Standard Mode

 include ('secure / security.class.inc.php'); $ Pass = new sicher; // Benutzername und Passwort, in diesem Fall als SHA1-Hash Set $ Pass> set_credentials ('admin', '5baa61e4c9b93f3f0682250b6cf8331b7ee68fd8'); // Setze den Hash-Typ $ Pass> set_hash_type ("sha1"); // Einige benutzerdefinierte Sitzungsschlüssel eingestellt $ Pass> custom_session_keys ('name', 'pass'); // Ermöglichen Brute-Force-Schutz, da standardmäßig deaktiviert. $ Pass> brute_force_protect (); // Eine benutzerdefinierte Seite für den Benutzer gesetzt, um es, wenn das Passwort falsch eingegeben gesendet. $ Pass> redirect_on_fail ('http://yourdomain.com/denied.html'); // Schutz schließlich gelten für die Seite. $ Pass> schützen (); echo 'geschützte Inhalte.'; 


Single Line-Modus

 include ('secure / security.class.inc.php'); echo 'geschützte Inhalte. " 


Dokumentation: http://jacekk.co.uk/code/page_protect/README.html

Beispiel für die Login-Seite enthalten
http://jacekk.co.uk/code/page_protect/example.php
Benutzername: admin
Kennwort: Zitrone


Hinweis: dieses Skript nur, wenn Sie die PHP-Version größer als 5.1. Ich habe ein paar E-Mails von Menschen klagen über eine leere Seite, die mit PHP4 wurden musste. Sie können Sie die Version mit dem folgenden Code zu überprüfen.
 <? Php echo phpversion (); ?> 

Ich dona € ™ t wollen, dass jemand, um ihr Geld zu verschwenden.

Unterstützung
Wenn es irgendwelche Probleme mit diesem Einzelteil sind, ist der beste Ort, um Fragen im Forum, wie ich überprüfen, dass mindestens einmal pro Tag.
http://betterphp.co.uk/board/viewforum.php?f=29

Herunterladen
Weitere Komponenten in dieser KategorieAlle Komponenten dieses Autors
KommentareHäufige Fragen und Antworten

Eigenschaften

Erstellt 27. April:
10

Stand:
N / A

kompatiblen Browsern:
IE6, IE7, IE8, Firefox, Safari, Opera, Chrome 4, Chrome 5

Dateien inbegriffen:
JavaScript JS, HTML, CSS, PHP, Softwareversion

Stichworte

eCommerce, Alle Artikel, auth, Authentifizierung, Tier, Kraft, Passwort, Prä, vention, Schutz, Drehbuch, sichern